Package it.ernytech.tdlib

## Class TdApi.UserTypeBot

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserType
    - - it.ernytech.tdlib.TdApi.UserTypeBot

Enclosing class:
  TdApi

    public static class TdApi.UserTypeBot
    extends TdApi.UserType

A bot (see https://core.telegram.org/bots).

### Field Summary

Fields
`boolean` `canJoinGroups` True, if the bot can be invited to basic group and supergroup chats.
`boolean` `canReadAllGroupMessages` True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inlineQueryPlaceholder` Placeholder for inline queries (displayed on the client input field).
`boolean` `isInline` True, if the bot supports inline queries.
`boolean` `needLocation` True, if the location of the user should be sent with every inline query to this bot.

### Constructor Summary

Constructors
`UserTypeBot()` Default constructor.
`UserTypeBot​(boolean canJoinGroups, boolean canReadAllGroupMessages, boolean isInline, java.lang.String inlineQueryPlaceholder, boolean needLocation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### canJoinGroups

    public boolean canJoinGroups

True, if the bot can be invited to basic group and supergroup chats.

#### canReadAllGroupMessages

    public boolean canReadAllGroupMessages

True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.

#### isInline

    public boolean isInline

True, if the bot supports inline queries.

#### inlineQueryPlaceholder

    public java.lang.String inlineQueryPlaceholder

Placeholder for inline queries (displayed on the client input field).

#### needLocation

    public boolean needLocation

True, if the location of the user should be sent with every inline query to this bot.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserTypeBot

    public UserTypeBot()

Default constructor.

#### UserTypeBot

    public UserTypeBot​(boolean canJoinGroups,
                       boolean canReadAllGroupMessages,
                       boolean isInline,
                       java.lang.String inlineQueryPlaceholder,
                       boolean needLocation)

Constructor for initialization of all fields.

Parameters:
  `canJoinGroups` - True, if the bot can be invited to basic group and supergroup chats.
  `canReadAllGroupMessages` - True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.
  `isInline` - True, if the bot supports inline queries.
  `inlineQueryPlaceholder` - Placeholder for inline queries (displayed on the client input field).
  `needLocation` - True, if the location of the user should be sent with every inline query to this bot.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR